
Redmine - Defect #26148

Cannot import custom fields with multiple values in 3.3

2017-06-13 02:52 - kay_chen kay

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

hi,

I use the Redmine v3.3 import fucntion , the Custom field(List) value can not be set.

Seems to support only Text format ???

My inistall information

Environment:

Redmine version                3.3.3.stable.16662

Ruby version                   2.2.7-p470 (2017-03-28) [x86_64-linux]

Rails version                  4.2.7.1

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.9.3

Git                            2.13.0

Related issues:

Related to Redmine - Feature #16549: Set multiple values in emails for list c... Closed

Associated revisions

Revision 16834 - 2017-07-19 16:58 - Jean-Philippe Lang

Adds a test for importing list custom fields (#26148).

Revision 16837 - 2017-07-19 19:07 - Jean-Philippe Lang

Adds a test for importing list custom fields with multiple values (#26148).

History

#1 - 2017-06-15 14:29 - Mischa The Evil

- Status changed from New to Needs feedback

- Resolution set to Cant reproduce

I can't reproduce the issue with the current amount of information. Setting custom field values for custom fields of types other than text (eg. list) during

issue CSV import is supported and working (just tested it on a vanilla source:/trunk@16643 with a list type custom field).

#2 - 2017-07-10 08:36 - kay_chen kay

I use v3.3.3 is not work,can you give me a csv example ? (I test is the first export csv and then import)

#3 - 2017-07-18 16:13 - Toshi MARUYAMA

- Resolution deleted (Cant reproduce)

I can confirm Redmine 3.3 cannot import list custom fields.

I can confirm Redmine 3.4 can import list custom fields.

It seems #16549 fixed it.
https://www.redmine.org/projects/redmine/repository/svn/revisions/16643/entry/trunk
https://www.redmine.org/issues/16549


#4 - 2017-07-18 16:14 - Toshi MARUYAMA

- Related to Feature #16549: Set multiple values in emails for list custom fields added

#5 - 2017-07-18 16:17 - Toshi MARUYAMA

- Subject changed from Redmine v3.3 import fucntion ,  Custom field only support Text format ? to v3.3 cannot import list custom fields

#6 - 2017-07-18 16:18 - Toshi MARUYAMA

- Tracker changed from Feature to Defect

#7 - 2017-07-18 17:59 - Mischa The Evil

- Status changed from Needs feedback to Confirmed

#8 - 2017-07-19 17:03 - Jean-Philippe Lang

I've committed a test for importing issues with a list custom field (r16834).

It passes on both trunk and 3.3-stable. I've also tested it manually on 3.3-stable, it works. Could someone provide more detailed information to

reproduce this issue?

#9 - 2017-07-19 17:49 - Toshi MARUYAMA

Redmine 3.3 cannot import multi items.

#,Subject,cf_issue_list_01

,test1,a

,test2,"a, b" 

test1: a -> a

test2: "a, b" -> ""

#10 - 2017-07-19 19:12 - Jean-Philippe Lang

- Subject changed from v3.3 cannot import list custom fields to Cannot import list custom fields with multiple values in 3.3

- Status changed from Confirmed to Closed

It was indeed implemented as part of #16549 for 3.4.

This is not a simple fix, it won't be merged into 3.3.

#11 - 2017-07-19 19:13 - Jean-Philippe Lang

- Subject changed from Cannot import list custom fields with multiple values in 3.3 to Cannot import custom fields with multiple values in 3.3

#12 - 2017-07-20 02:06 - Go MAEDA

- Resolution set to Wont fix
